v1.0.0
OpenAPI 3.1.0

Get Object Attributes

US region

Client Libraries

Get Object Attributes

Get a list of attributes for an object. Attributes are things you know about an object—like an account name, billing date, etc.

Path Parameters
  • object_type_id
    Type: integer
    required

    The object type an object belongs to—like "Companies" or "Accounts". Object type IDs begin at 1 and increment for each new type.

  • object_id
    Type: string
    required

    The object_id or cio_object_id of an object, depending on the id_type specified in query params. id_type defaults to object_id.

Query Parameters
  • id_type
    Type: stringenum
    values
    • object_id
    • cio_object_id
Responses
  • application/json
  • 401

    Unauthorized request. Make sure that you provided the right credentials.

  • 429

    Your request is over the 10-per-second limit.

Request Example for get/v1/objects/{object_type_id}/{object_id}/attributes
curl 'https://api.customer.io/v1/objects/1/abc123/attributes?id_type=object_id' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "object": {
    "attributes": {
      "Object Attributes": null
    },
    "timestamps": {
      "Object Attribute Timestamps": 1
    },
    "identifiers": {
      "cio_object_id": "a3000001",
      "id": "42",
      "email": "test@example.com"
    },
    "object_type_id": "1"
  }
}